--
-- $Id$
--
-- <<Korte omschrijving wat het script doet>>

DEFINE thisfile = 'HOUT#41877.SQL'
DEFINE dbuser   = '^HOUT'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- verwijder datum weghalen bij alle persleden die per ongeluk zijn verwijderd
UPDATE prs_perslid prs
   SET PRS_PERSLID_VERWIJDER = ''
 WHERE PRS_PERSLID_VERWIJDER > TO_DATE ('4-9-2017', 'DD-MM-YYYY');
 
-- verwijder 'inactief' bij alle personen waarbij dat 5 september gezet is
UPDATE PRS_PERSLID
   SET PRS_PERSLID_NAAM = REPLACE (PRS_PERSLID_NAAM, 'INACTIEF: '),
       PRS_PERSLID_UPPER = REPLACE (PRS_PERSLID_UPPER, 'INACTIEF: ')
 WHERE PRS_PERSLID_UPPER LIKE 'INACTIEF%'
       AND PRS_PERSLID_CREDENTIALS_DATUM > TO_DATE ('4-9-2017', 'DD-MM-YYYY');

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
